MyGUI: MyGUI::LayerManager Class Reference

MyGUI 3.4.3

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::LayerManager Class Reference

`#include <MyGUI_LayerManager.h>`

Inheritance diagram for MyGUI::LayerManager:
[legend]

## Public Types
using | VectorLayer = std::vector<ILayer*>
using | EnumeratorLayer = Enumerator<VectorLayer>

## Public Member Functions
| LayerManager (const LayerManager &)=delete
LayerManager & | operator= (const LayerManager &)=delete
| LayerManager ()
void | initialise ()
void | shutdown ()
void | attachToLayerNode (std::string_view _name, Widget *_item)
void | detachFromLayer (Widget *_item)
void | upLayerItem (Widget *_item)
bool | isExist (std::string_view _name) const
EnumeratorLayer | getEnumerator () const
ILayer * | createLayerAt (std::string_view _name, std::string_view _type, size_t _index)
ILayer * | getByName (std::string_view _name, bool _throw=true) const
size_t | getLayerCount () const
ILayer * | getLayer (size_t _index) const
Widget * | getWidgetFromPoint (int _left, int _top) const
void | renderToTarget (IRenderTarget *_target, bool _update)
void | resizeView (const IntSize &_viewSize)
const std::string & | getCategoryName () const
Public Member Functions inherited from MyGUI::IUnlinkWidget
virtual | ~IUnlinkWidget ()=default
Public Member Functions inherited from MyGUI::MemberObsolete< LayerManager >
bool | load (const std::string &_file)

## Static Public Member Functions
static LayerManager & | getInstance ()
static LayerManager * | getInstancePtr ()
static std::string_view | getClassTypeName ()

## Detailed Description

Definition at line 22 of file MyGUI_LayerManager.h.

## Member Typedef Documentation

## ◆ EnumeratorLayer

using MyGUI::LayerManager::EnumeratorLayer = Enumerator<VectorLayer>

Definition at line 28 of file MyGUI_LayerManager.h.

## ◆ VectorLayer

using MyGUI::LayerManager::VectorLayer = std::vector<ILayer*>

Definition at line 27 of file MyGUI_LayerManager.h.

## Constructor & Destructor Documentation

## ◆ LayerManager() [1/2]

MyGUI::LayerManager::LayerManager | ( | const LayerManager & |  | ) |
| delete

## ◆ LayerManager() [2/2]

MyGUI::LayerManager::LayerManager | ( |  | ) |

Definition at line 23 of file MyGUI_LayerManager.cpp.

## Member Function Documentation

## ◆ attachToLayerNode()

void MyGUI::LayerManager::attachToLayerNode | ( | std::string_view | _name,
|  | Widget * | _item )

Attach widget to specific layer

Parameters

  _name | Layer name
  _item | Widget pointer

Definition at line 122 of file MyGUI_LayerManager.cpp.

## ◆ createLayerAt()

ILayer * MyGUI::LayerManager::createLayerAt | ( | std::string_view | _name,
|  | std::string_view | _type,
|  | size_t | _index )

Create new layer;

Parameters

  _name | Layer name
  _type | Could be OverlappedLayer, SharedLayer or any custom registered layer type.
  _index | New layer will be placed before old layer with given index.

Definition at line 193 of file MyGUI_LayerManager.cpp.

## ◆ detachFromLayer()

void MyGUI::LayerManager::detachFromLayer | ( | Widget * | _item | ) |

Detach widget from layer

Parameters

  _item | Widget pointer

Definition at line 145 of file MyGUI_LayerManager.cpp.

## ◆ getByName()

ILayer * MyGUI::LayerManager::getByName | ( | std::string_view | _name,
|  | bool | _throw = true ) const

Get layer by name

Definition at line 232 of file MyGUI_LayerManager.cpp.

## ◆ getCategoryName()

const std::string & MyGUI::LayerManager::getCategoryName | ( |  | ) | const

Definition at line 265 of file MyGUI_LayerManager.cpp.

## ◆ getClassTypeName()

std::string_view MyGUI::LayerManager::getClassTypeName | ( |  | ) |
| static

## ◆ getEnumerator()

LayerManager::EnumeratorLayer MyGUI::LayerManager::getEnumerator | ( |  | ) | const

Get layer nodes Enumerator

Definition at line 243 of file MyGUI_LayerManager.cpp.

## ◆ getInstance()

LayerManager & MyGUI::LayerManager::getInstance | ( |  | ) |
| static

## ◆ getInstancePtr()

LayerManager * MyGUI::LayerManager::getInstancePtr | ( |  | ) |
| static

## ◆ getLayer()

ILayer * MyGUI::LayerManager::getLayer | ( | size_t | _index | ) | const

Definition at line 259 of file MyGUI_LayerManager.cpp.

## ◆ getLayerCount()

size_t MyGUI::LayerManager::getLayerCount | ( |  | ) | const

Definition at line 254 of file MyGUI_LayerManager.cpp.

## ◆ getWidgetFromPoint()

Widget * MyGUI::LayerManager::getWidgetFromPoint | ( | int | _left,
|  | int | _top ) const

Get top visible and enabled widget at specified position

Definition at line 211 of file MyGUI_LayerManager.cpp.

## ◆ initialise()

void MyGUI::LayerManager::initialise | ( |  | ) |

Definition at line 29 of file MyGUI_LayerManager.cpp.

## ◆ isExist()

bool MyGUI::LayerManager::isExist | ( | std::string_view | _name | ) | const

Check is layer exist

Definition at line 157 of file MyGUI_LayerManager.cpp.

## ◆ operator=()

LayerManager & MyGUI::LayerManager::operator= | ( | const LayerManager & |  | ) |
| delete

## ◆ renderToTarget()

void MyGUI::LayerManager::renderToTarget | ( | IRenderTarget * | _target,
|  | bool | _update )

Render all layers to specified target

Definition at line 224 of file MyGUI_LayerManager.cpp.

## ◆ resizeView()

void MyGUI::LayerManager::resizeView | ( | const IntSize & | _viewSize | ) |

Definition at line 248 of file MyGUI_LayerManager.cpp.

## ◆ shutdown()

void MyGUI::LayerManager::shutdown | ( |  | ) |

Definition at line 44 of file MyGUI_LayerManager.cpp.

## ◆ upLayerItem()

void MyGUI::LayerManager::upLayerItem | ( | Widget * | _item | ) |

Up widget to be on top of its layer

Parameters

  _item | Widget pointer

Definition at line 151 of file MyGUI_LayerManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_LayerManager.h
- MyGUI_LayerManager.cpp